﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;

public partial class _Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {

        TopMenuClusters.DataSource = GetData();
        TopMenuClusters.DataBind();
    }

    protected DataSet GetData()
    {

        DataSet ds = new DataSet("menuData");
        DataTable dt = new DataTable("RootData");
        dt.Columns.Add("rID", typeof(int));

        dt.Columns.Add("rTexts", typeof(string));

        dt.PrimaryKey = new DataColumn[1] { dt.Columns[0] };

        dt.Rows.Add(1, "File");

        dt.Rows.Add(2, "Edit");

        dt.Rows.Add(3, "Help");

        DataTable dt2 = new DataTable("ChildData");
        dt2.Columns.Add("cID", typeof(int));
        dt2.Columns.Add("rID", typeof(int));
        dt2.Columns.Add("cTexts", typeof(string));
        dt2.Columns.Add("cImages", typeof(string));
        dt2.PrimaryKey = new DataColumn[1] { dt2.Columns[0] };

        dt2.Rows.Add(1, 1, "Open", "~/ig_res/Default/images/addnewrow_image.gif");

        dt2.Rows.Add(2, 1, "Close", "~/ig_res/Default/images/addnewrow_image.gif");

        dt2.Rows.Add(3, 1, "Save", "~/ig_res/Default/images/addnewrow_image.gif");

        dt2.Rows.Add(4, 1, "Exit", "~/ig_res/Default/images/addnewrow_image.gif");

        dt2.Rows.Add(5, 2, "Cut", "~/ig_res/Default/images/addnewrow_image.gif");

        dt2.Rows.Add(6, 2, "", "~/ig_res/Default/images/addnewrow_image.gif");

        dt2.Rows.Add(7, 2, "Paste", "~/ig_res/Default/images/addnewrow_image.gif");

        dt2.Rows.Add(8, 2, "Find", "~/ig_res/Default/images/addnewrow_image.gif");

        dt2.Rows.Add(9, 3, "About", "~/ig_res/Default/images/addnewrow_image.gif");

        dt2.Rows.Add(10, 3, "General Help", "~/ig_res/Default/images/addnewrow_image.gif");

        ds.Tables.Add(dt);

        ds.Tables.Add(dt2);

        ds.Relations.Add(dt.Columns[0], dt2.Columns[1]);

        return ds;
    }

}